package abac

type Store interface {
    GetUserAttributes(userID string) ([]Attribute, error)
    GetRoleAttributes(roleID string) ([]Attribute, error)
    GetResourceAttributes(resourceID string) ([]Attribute, error)
    HasAccess(userID, resourceID, action string) (bool, error)
}
